Bug 120881 - kde5: Active toolbars not preselected in "View" -> "Toolbars"
Summary: kde5: Active toolbars not preselected in "View" -> "Toolbars"
Status: VERIFIED DUPLICATE of bug 121417
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
6.2.0.0.alpha1+
Hardware: All Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: KDE
  Show dependency treegraph
 
Reported: 2018-10-24 18:27 UTC by Michael Weghorn
Modified: 2018-11-28 15:58 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Weghorn 2018-10-24 18:27:51 UTC
Version: 6.2.0.0.alpha1+
Build ID: 9dc5234d36ebcafca36aece80b6a9b59da287cda
CPU threads: 4; OS: Linux 4.18; UI render: default; VCL: kde5; 
Locale: en-GB (en_GB.UTF-8); Calc: threaded

This is specific to the qt5/kde5 VCL plugins. It works OK when using e.g. the gtk3 VCL plugin.

Steps to reproduce:

1) start LibreOffice Writer
2) open the "View" -> "Toolbars" menu

Result: None of the checkboxes for the toolbars is checked, even though some of the toolbars are active.

Expected result: The checkboxes for the currently active toolbars should be checked.

Note: this is very similar to bug 120450 which has been fixed in the meantime.
Comment 1 Vera Blagoveschenskaya 2018-10-25 06:56:00 UTC
Confirmed from my side

Version: 6.2.0.0.alpha1+
Build ID: 25af42bc70e1a0a61d2ea90d7b0ef1ed6000ed69
CPU threads: 1; OS: Linux 4.14; UI render: default; VCL: kde5; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2018-10-23_18:02:41
Locale: ru-RU (ru_RU.UTF-8); Calc: threaded
Comment 2 Vera Blagoveschenskaya 2018-10-25 07:36:35 UTC
Additional info: setting some option up/down has a strange effect: for example, Find toolbar can't be hidden.

Also I've reproduced an appcrash there - see Bug 120890
Comment 3 Katarina Behrens (Inactive) 2018-11-28 12:56:51 UTC
I see active toolbars preselected now, with the fix of bug 121417

*** This bug has been marked as a duplicate of bug 121417 ***
Comment 4 Michael Weghorn 2018-11-28 15:58:15 UTC
Fix verified with

Version: 6.3.0.0.alpha0+
Build ID: 3288d88e0c0842a44aa959e41cc665b9cf3804b9
CPU threads: 4; OS: Linux 4.18; UI render: default; VCL: kde5; 
Locale: en-GB (en_GB.UTF-8); UI-Language: en-US
Calc: threaded